<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

set_time_limit(99999999);
ignore_user_abort(1);

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'guest';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");

$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//
###################################################
$error = 0;
if($rights < "4") $error = 1;


if($error==1) die($setup['hackmess']);

$id = intval($_GET['id']);

if(!$id){
$d['path'] = $setup['path'].'/';
}
else{
$d = mysql_fetch_assoc(mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `id` = '.$id.' LIMIT 1'));
}
if(!is_dir($d['path'])) $d['path'] = $setup['path'].'/';
$path1=$d['path'];
//
$currtime = time();
$addfolder = $addfiles = $addfilesbad = 0;

$reses = mysql_query('SELECT `id`,`path` FROM `'.$setup['pref'].'files`;');
while($arr = mysql_fetch_row($reses)){
$array_path[$arr[0]] = $arr[1];
}

function scaner($path1)
{
static $f_arr;

chmod($path,0777);

$arr = glob($path1.'*');

foreach($arr as $vv){

if(is_dir($vv)){
$f_arr[] = $vv.'/';

}
else{
if(basename($vv)=='folder.png'){
continue;
}
else{
$f_arr[] = $vv;
}
}
}

return $f_arr;
}

$file_array = scaner($path1);

$upltime = time();
foreach($file_array as $value){
if(!in_array($value,$array_path))
{
//$upltime = filectime($value);
$pathinfo = pathinfo($value);
$name = str_replace('.'.$pathinfo['extension'],'',basename($value));
$infolder = dirname($value).'/';
$size = filesize($value);



if(is_dir($value) AND preg_match('|([а-яА-Я]+)|',$name)==False){
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}
mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `timeupload`, `loads`, `yes` ) VALUES ('$value', '*".$name."', '$infolder', '9999999999', '9999999999', '9999');");
$addfolder++;
}
elseif(preg_match('|([а-яА-Я]+)|',$name)==False){
if(strpos($name , '!') !== false){
$name = trans($name);
}
else{
$name = trans2($name);
}
mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `size` , `timeupload`) VALUES ('$value', '$name', '$infolder' , '$size' , '$upltime');");
$addfiles++;
}
else $addfilesbad++;
}
}

require_once ("../incfiles/head.php");

echo '<div class="gmenu">База данных успешно обновлена!</div><div class="list1">Добавлено папок: '.$addfolder.' <br/>';
echo'Добавлено файлов: '.$addfiles.'<br/>'; 
if ($addfilesbad>0) echo 'Не Добавлено:'.$addfilesbad.'<br/>';
if($id) echo '<li><a href="apanel_index.php?id='.$id.'">В обновленную папку</a></li>';
echo'<li>Для обновления файлов в папках воспользуйтесь</li><li><a href="apanel_index.php">Файловый менеджером</a></li>';


print '<li><a href="apanel.php">Админка</a></li></div>';
require_once ("moduls/foot.php");
?>